﻿//////////////////////////////////////////////
// TestFunctionObserverInformation.h
// 
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkDebug
{
	class TestRunResult ;
}

/// Includes ---------------------------------

// nkDebug
#include "../Data/TestStackLevel.h"

// nkMemory
#include <NilkinsMemory/Containers/BufferView.h>
#include <NilkinsMemory/Containers/StringView.h>

/// Structure --------------------------------

namespace nkDebug
{
	struct TestFunctionObserverInformation final
	{
		// At all times
		// Always available
		nkMemory::StringView _name = "" ;

		// After run
		unsigned long long _timeMicroS = 0ull ;
		TestRunResult* _runResult = nullptr ;
	} ;
}