﻿//////////////////////////////////////////////
// PopupCustomDescriptor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkWinUi
{
	class Component ;
}

/// Includes ---------------------------------

// Standards
#include <functional>

/// Class ------------------------------------

namespace nkWinUi
{
	struct PopupCustomDescriptor final
	{
		// Window to use
		nkWinUi::Component* _customComponent = nullptr ;

		// Init callback once the window is loaded and ready
		std::function<void ()> _initializationCallback ;

		// Boolean driving when to close
		bool* _popupShouldCloseTracker = nullptr ;

		bool _closeOnOutsideClick = false ;
	} ;
}