﻿//////////////////////////////////////////////
// GraphicsEngine.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "../Dll/DllDefines.h"

// Common
#include <nilkinsCommon/Patterns/SingletonClass.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT GraphicsEngine final
	{
		private :

			// Constructeur, destructeur
			GraphicsEngine () = delete ;
			~GraphicsEngine () = delete ;

		public :

			// Init
			static bool initialize () ;

			// Shutdown
			static void shutdown () ;
	} ;
}