﻿//////////////////////////////////////////////
// AlignmentDescriptor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkImages
#include "../Enums/AlphaMode.h"

/// Class ------------------------------------

namespace nkImages
{
	struct AlignmentDescriptor final
	{
		unsigned int _rowByteAlignment = 1 ;
		unsigned int _pixelByteAlignment = 1 ;

		ALPHA_MODE _alphaMode = ALPHA_MODE::AUTO ;

		bool _forceRgbFormat = false ;
		bool _forceRgbReordering = false ;
	} ;
}