﻿//////////////////////////////////////////////
// Button.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkWinUi
#include "Component.h"

#include "../Dll/DllDefines.h"

#include "../Inputs/CallbackRepository.h"

// Standards
#include <string>

/// Class ------------------------------------
	
namespace nkWinUi
{
	class DLL_WINUI_EXPORT Button : public Component
	{
		protected :
		
			// Attributs
			// Callback
			buttonClickCallback _callback ;
		
		public :
		
			// Constructeur, destructeur
			Button () ;
			~Button () ;

			// Callback
			void setClickCallback (buttonClickCallback value) ;
			buttonClickCallback getClickCallback () const ;
	} ;
}